org.apache.solr.handler.dataimport

## Class MailEntityProcessor

- java.lang.Object
- - org.apache.solr.handler.dataimport.EntityProcessor
  - - org.apache.solr.handler.dataimport.EntityProcessorBase
    - - org.apache.solr.handler.dataimport.MailEntityProcessor

-     public class MailEntityProcessor
      extends EntityProcessorBase

  An EntityProcessor instance which can index emails along with their attachments from POP3 or IMAP sources. Refer to http://wiki.apache.org/solr/DataImportHandler for more details. This API is experimental and subject to change
  Since:
    solr 1.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `MailEntityProcessor.CustomFilter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.dataimport.EntityProcessorBase

      `ABORT, cacheSupport, context, CONTINUE, entityName, isFirstInit, ON_ERROR, onError, query, rowIterator, SKIP, TRANSFORM_ROW, TRANSFORMER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailEntityProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPartToDocument(javax.mail.Part part, Map<String,Object> row, boolean outerMost)`
    `void` | `init(Context context)`
    `Map<String,Object>` | `nextRow()`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessorBase

      `destroy, firstInit, getNext, initCache, nextDeletedRowKey, nextModifiedParentRowKey, nextModifiedRowKey`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessor

      `close, postTransform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailEntityProcessor

          public MailEntityProcessor()

  - ### Method Detail

    - #### init

          public void init(Context context)

      Overrides:
        `init` in class `EntityProcessorBase`

    - #### nextRow

          public Map<String,Object> nextRow()

      Overrides:
        `nextRow` in class `EntityProcessorBase`

    - #### addPartToDocument

          public void addPartToDocument(javax.mail.Part part,
                                        Map<String,Object> row,
                                        boolean outerMost)
                                 throws Exception

      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.